mui.init();
$(document).ready(function() {
	$.ajax({
		url: api_path + "/apiBmcx/jgxq",
		data: {
			bh: GetQueryString("CBh")
		},
		dataType: "json",
		type: "post",
		async: false,
		success: function(data) {
			if(data.code == 1) {
				var jg = data.data;
				$("#type").val(jg.cJglb);
				$("#CJgbh").val(jg.cBh);
				if(jg.cFwfx == undefined) {
					jg.cFwfx = '';
				}
				if(jg.cTx != null && jg.cTx != '') {
					$("#img").html("<img class='fd-img'style='height:auto;' src=" + file_path + jg.cTx + " />")
				} else {
					$("#img").html("<img class='fd-img' src='../../static/app/images/icon28.png' />")
				}
				$("#mc").html(jg.cMc);
				if(jg.cJglb != '5') {
					if(jg.cJglb == '3') {
						$("#zjh").html("<p>执业证号：" + parseUndefined(jg.cZyxkzh) + "</p>");
					} else if(jg.cJglb != '2') {
						$("#zjh").html("<p>许可证号：" + parseUndefined(jg.cZyxkzh) + "</p>");
					}
					$("#fzr").html("负责人：" + parseUndefined(jg.cFzr));
				}
				$("#lxdh").html("联系电话：<a href=tel:" + jg.cJgdh + ">" + parseUndefined(jg.cJgdh) + "</a>");
				if(jg.cJglb != '5' && jg.cJglb != '3') {
					$("#ywfw").html("<p>业务范围：" + parseUndefined(jg.cFwfx) + "</p>")
				} else {
					$("#ywfw").remove();
				}
				var str = "<p>所在地址：<a href=" + api_path + "/appJgcx/jgdt?cBh=";
				str = str + jg.cBh;
				str = str + ">" + parseUndefined(jg.cXxdz);
				str = str + "</a></p>";
				//				$("#xxdz").html("<p>所在地址：<a href='jgdt.html?CBh='"+jg.cBh+">"+jg.cXxdz+"</a></p>");
				$("#xxdz").html(str);
				if(jg.cJglb == '4' || jg.cJglb == '3') {
					$("#jgjs").html("<p>机构简介：" + parseUndefined(jg.cJgjs) + "</p>");
				} else {
					$("#jgjs").remove();
				}
			} else {
				mui.toast("查询异常，请稍后再试");
			}
		},
		error: function(e) {
			mui.toast("网络异常，请稍后再试");
		}
	});
});
(function($) {
	// 阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, // 是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		// 循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'),
			function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					up: {
						height: 50, // 可选,默认50.触发下拉刷新拖动距离,
						auto: true, // 可选,默认false.自动下拉刷新一次
						contentdown: "下拉可以刷新", // 可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
						contentover: "释放立即刷新", // 可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
						contentrefresh: "正在刷新...", // 可选，正在刷新状态时，下拉刷新控件上显示的标题内容
						callback: function() {
							var self = this;
							var ul = self.element
								.querySelector('.fd-list');
							createFragment(self);
						}
					}
				});
			});
	});
})(mui);

// 下拉刷新回调函数
var createFragment = function(self) {
	var layerIndex = layer.load(1, {
		shade: [0.1, '#fff']
		// 0.1透明度的白色背景
	});
	// 加载更多的内容到列表中
	$.ajax({
		url: api_path + "/apiBmcx/ajaxLoadJgRyList",
		data: {
			pageIndex: $("#pageIndex").val(),
			type: $("#type").val(),
			jgbh: $("#CJgbh").val()
		},
		dataType: "json",
		type: "post",
		success: function(data) {
			layer.close(layerIndex);
			if(data.code == 1) {
				// 加载成功
				var pageData = data.data;
				var picUrl = data.picUrl;
				if(typeof(pageData) == "undefined") {
					// 没有数据
					return;
				}

				// 加载列表
				var dataList = pageData.results;
				if(typeof(pageData) == "undefined") {
					// 没有数据
					return;
				}
				var tx;

				for(var i = 0; i < dataList.length; i++) {
					tx = dataList[i].cTx;
					if(tx) {
						if(tx.indexOf("http") < 0) {
							tx = file_path + tx;
						}
					}

					var pf = parseUndefined(dataList[i].nRxzs);
					if(pf == 0) {
						pf = "";
					} else {
						pf = pf;
					}
					var rxzs = ""
					if(parseUndefined(dataList[i].cYhlx) == '8') {
						rxzs = "<p class='fd-ryjs-p fd-ryjs-p01'>热心指数：";
						rxzs = rxzs + pf + "</p>"
					}
					var html = "<li url=" +
						"ryxq.html?CBh=" +
						dataList[i].cBh +
						"' style='font-size:15px;'> <div class='fd-people-icon layer' style='margin-top: 10px;width:100%;'>" +
						"<div class='fd-firm-infor'>" +
						" <div class='fd-firm-infor-div1' style='float: left;' style='width:20%;'>" +
						" <a  target='_blank' class='fd-firmdetail'><img  class='fd-firm-img'" +
						"        src='" +
						tx +
						"'" +
						"        style='height:120px;width:100px;'></a>" +
						"  </div>" +
						"  <div class='fd-firm-infor-div2'" +
						" style='float: left;margin-left: 10px;width:62%;line-height:26px'>" +
						"      <h5 class='line1' style='color:#282828;margin-top:1px;line-height:20px;'>" +
						dataList[i].cXm +
						"</h5>" +
						rxzs +
						"<p class='fd-ryjs-p fd-ryjs-p02'>从业年限：" +
						parseUndefined(dataList[i].cynx) +
						"年</span></p>" +
						"  <p  class='fd-ryjs-p fd-ryjs-p03'>联系电话：<a href=\"tel:" + parseUndefined(dataList[i].cSjhm) + "\">" +
						parseUndefined(dataList[i].cSjhm) +
						"</a></p>"
						// +" <p ><img
						// src=../static/app/images/icon35.png
						// style='height:15px;width:13px;margin-right:5px;vertical-align:
						// text-bottom'/>"+parseUndefined(dataList[i].tJg.cMc)
						// +"</p>"
						// +"<p class='line2'><img
						// src=../static/app/images/icon22.png
						// style='height:15px;width:13px;margin-right:5px;vertical-align:
						// text-bottom'/>"+parseUndefined(dataList[i].tJg.cXxdz)+"</span></p>"
						+
						"    </div>" + "  </div>" + "</div></li>";
					$("#list").append(html);
				}

				// 设置页码
				$("#pageIndex").val(pageData.pageNo);

				if(dataList.length == pageData.pageSize) {
					// 还有数据
					self.endPullUpToRefresh(false);
				} else {
					self.endPullUpToRefresh(true);
				}

			} else {
				mui.toast("查询异常，请稍后再试");
			}
		}
	});
	// TODO
	// 如果没有更多数据了，则关闭上拉加载
	// pullRefresh.endPullupToRefresh(true);
	// 如果有更多数据，则继续
	// pullRefresh.endPullupToRefresh(false);
};

function parseUndefined(value) {
	if(typeof(value) == "undefined") {
		return "";
	} else {
		return value;
	}
}

$(function() {
	var height = $(".fd-img").width() * 14 / 36;
	var heightStr = "height:" + height + "px";
	$(".fd-img").attr("style", heightStr);
	$(".fd-wt").bind("click", function() {
		var url = $(this).attr("href");
		window.location.href = url;
	})
})