
/**
 * 邮箱注册
 */
function firstEmail(obj, index) {

	var CDhhm = $("#CDhhm").val().trim();
	var CDlm = $("#CDlm").val().trim();
	var CMm = $("#CMm").val().trim();
	var CMm2 = $("#CMm2").val().trim();
	var emailCode = $("#emailCode").val().trim();
	if(CDlm == null|| CDlm == ""){
		mui.alert("请输入账号","提示",function(){},'div');
		return;
	}
	if(CMm == null|| CMm == ""){
		mui.alert("请输入密码","提示",function(){},'div');
		return;
	}
	if(CMm2 == null|| CMm2 == ""){
		mui.alert("请确认密码","提示",function(){},'div');
		return;
	}
	if (!((/^([a-z])+$/.test(CDlm)) || (/^([0-9])+$/.test(CDlm))
			|| (/^([A-Z])+$/.test(CDlm)) || (/^[a-zA-Z0-9]+$/.test(CDlm)))) {
		mui.alert("账号只能为字母、数字或字母与数字的组合","提示",function(){},'div');
		$("#CDlm").focus();
		return false;
	}
	if (CMm==null||CMm.length < 6
			|| CMm.length > 20
			|| !((/^([a-z])+$/.test(CMm)) || (/^([0-9])+$/.test(CMm))
					|| (/^([A-Z])+$/.test(CMm)) || (/^[a-zA-Z0-9]+$/.test(CMm)))) {
		mui.alert("密码只能为6-20位字母、数字或字母与数字的组合!","提示",function(){},'div');
		$("#CMm").focus();
		return false;
	}

	if (CMm != CMm2) {
		mui.alert("两次输入的密码不一致!","提示",function(){},'div');
		$("#CMm2").focus();
		return false;
	}
	if (emailCode.length == 0) {
		mui.alert("请填写短信验证码!","提示",function(){},'div');
		$("#emailCode").focus();
		return false;
	}

	// 本操作耗时，防止重复提交
	if ("处理中,请稍后..." == $("#btn1").html()) {
		return;
	}

	$("#btn1").html("处理中,请稍后...");
	$.ajax({
		type : "POST",
		url : api_path +"/regApi/registerFirst",
		data : {
			CDhhm : CDhhm,
			CDlm : CDlm,
			CMm : RSAEncrypt(CMm2),
			regCode : emailCode
		},
			xhrFields: {withCredentials: true},
    		crossDomain: true,
		success : function(data) {
			data = JSON.parse(data);
			if (data.code == 1) {
				$("#reg1").hide();
				$("#reg2").show();
				var time = 3;
				setTime = setInterval(function() {
					if (time <= 0) {
						clearInterval(setTime);
						window.location.href = "applogin.html";
						return;
					}
					time--;
					$("#tip").text("注册成功！"+time + "秒后自动跳转登录页(或点击跳转)");
				}, 1000);
			} else {
				mui.alert(data.message,"提示",function(){},'div');
				$("#btn1").html("下一步");
			}
		},
		error : function(e) {
			mui.toast("提交失败,请稍后再试!",{ duration:'long', type:'div' });
			$("#btn1").html("下一步");
		}
	});
}
/**
 * 发送邮件
 */
function sendEmailCode() {
	if ($("#sendYxYzm").hasClass("fd-zhmm-hqyzm")) {
		return;
	}

	var CYx = $("#CYx").val().trim();
	var CDlm = $("#CDlm").val().trim();
	if (!((/^([a-z])+$/.test(CDlm)) || (/^([0-9])+$/.test(CDlm))
			|| (/^([A-Z])+$/.test(CDlm)) || (/^[a-zA-Z0-9]+$/.test(CDlm)))) {
		mui.alert("账号只能为字母、数字或字母与数字的组合!","提示",function(){},'div');
		$("#account").focus();
		return false;
	}

	if (!(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(CYx))) {
		mui.alert("请输入正确的邮箱!","提示",function(){},'div');
		$("#email").focus();
		return false;
	}

	

	$.ajax({
		type : "POST",
		url : api_path +"/regApi/sendCode",
		data : {
			email : CYx,
			name : CDlm
		},
			xhrFields: {withCredentials: true},
    		crossDomain: true,
		success : function(data) {
			data = JSON.parse(data);
			if (data.code != 1) {
				mui.alert(data.message,"提示",function(){},'div');
			} else {
				// 发送成功
				$("#sendYxYzm").addClass("fd-zhmm-hqyzm");
				var time = 90;
				setTime = setInterval(function() {
					if (time <= 0) {
						clearInterval(setTime);
						$("#sendYxYzm").text("获取邮件验证码");
						$("#sendYxYzm").removeClass("fd-zhmm-hqyzm");
						return;
					}
					time--;
					$("#sendYxYzm").text(time + "秒后重新获取");
				}, 1000);
				mui.alert("验证码已成功发送到您的邮箱，请注意查收!","提示",function(){},'div');
			}
		},
		error : function(e) {
			mui.alert("系统错误!","提示",function(){},'div');
			// 取消倒计时
			clearInterval(setTime);
			$("#sendYxYzm").text("获取邮件验证码");
			$("#sendYxYzm").removeClass("fd-zhmm-hqyzm");
		}
	});
}

/**
 * 发送短信
 */
function sendSmsCode() {
	if ($("#sendSjYzm").hasClass("fd-zhmm-hqyzm")) {
		return;
	}

	var CDhhm = $.trim($("#CDhhm").val());
	var CDlm = $.trim($("#CDlm").val());
	if (!((/^([a-z])+$/.test(CDlm)) || (/^([0-9])+$/.test(CDlm))
			|| (/^([A-Z])+$/.test(CDlm)) || (/^[a-zA-Z0-9]+$/.test(CDlm)))) {
		mui.alert("账号只能为字母、数字或字母与数字的组合","提示",function(){},'div');
		$("#CDlm").focus();
		return false;
	}

	if (!(CDhhm.length == 11 && /^(((13[0-9]{1})|(15[0-9]{1})|(17[0-9]{1})|(18[0-9]{1}))+\d{8})$/
			.test(CDhhm))) {
		mui.alert("请输入正确的手机号码","提示",function(){},'div');
		$("#CDhhm").focus();
		return false;
	}

	// 发送成功
	$("#sendSjYzm").addClass("fd-zhmm-hqyzm");
	var time = 90;
	setTime = setInterval(function() {
		if (time <= 0) {
			clearInterval(setTime);
			$("#sendSjYzm").text("获取短信验证码");
			$("#sendSjYzm").removeClass("fd-zhmm-hqyzm");
			return;
		}
		time--;
		$("#sendSjYzm").text(time + "秒后重新获取");
	}, 1000);

	$.ajax({
		type : "POST",
		url : api_path+"/regApi/sendCode",
		data : {
			phoneNo : CDhhm,
			name : CDlm
		},
			xhrFields: {withCredentials: true},
    		crossDomain: true,
		success : function(data) {
			data = JSON.parse(data);
			if (data.code != 1) {
				mui.alert(data.message,"提示",function(){},'div');
				clearInterval(setTime);
				$("#sendSjYzm").text("获取短信验证码");
				$("#sendSjYzm").removeClass("fd-zhmm-hqyzm");
				return;
			} else {
				mui.alert("验证码已成功发送到您的手机，请注意查收!","提示",function(){},'div');
			}
		},
		error : function(e) {
			mui.alert("系统错误!","提示",function(){},'div');
			// 取消倒计时
			clearInterval(setTime);
			$("#sendSjYzm").text("获取短信验证码");
			$("#sendSjYzm").removeClass("fd-zhmm-hqyzm");
		}
	});
}
function validateCDlm(item){
	var val =$(item).val();
	$.ajax({
        type : "POST",
        url : api_path +"/regApi/validateCDlm",
        data : {
            CDlm : val
        },
        success : function(data) {
        	if(data!=""){
        		data = JSON.parse(data);
        		if (typeof(data.cBh)!="undefined") {
        			mui.alert("该账号已被注册","提示","确定");
        		}
        	}else{
//        		$("#CDlm").next().css("color", "gray");
//    			$("#CDlm").next().html("字母、数字或字母与数字的组合");
        	}
        },
        error : function(e) {
//            layer.msg("提交失败,请稍后再试");
        }
    });

}
function validateMm(item){
	var val =$(item).val();
	if(val.length<6){
		mui.alert("密码必须是大于6位的字母数字或其组合","提示","确定");
		return;
	}
}
function validateMmZc(item){
	var val =$(item).val();
	var mm =$("#CMm").val();
	if(val != mm){
		mui.alert("两次输入的密码不一致","提示","确定");
		return;
	}
}
