//滑动区域必须保存全局变量方便重置
var selfArr = new Array();

// 人工输入搜索
function search(index) {
	// 1.重置对应模块的页码
	document.getElementsByName("pageIndex")[index].value = "";
	// 2.重置对应拉动模块为可以下拉
	selfArr[index].refresh(true);
	// 3.清理掉当前数据
	var str = "#list" + index;
	$(str).html("");
	// 4.触发下拉事件
	selfArr[index].pullUpLoading();
}

// 监听列表的点击事件
mui(".fd-list").on('tap', 'li', function() {
	var url = $(this).attr("url");
	mui.openWindow({
		url: url,
		id: "detail",
		styles: {

		},
		extras: {
			//自定义扩展参数，可以用来处理页面间传值
		},
		waiting: {
			autoShow: true, //自动显示等待框，默认为true
			title: '正在加载...', //等待对话框上显示的提示内容
			options: {}
		}
	})
});

(function($) {
	// 阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: true, // 是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		// 循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'),
			function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					up: {
						height: 50, // 可选,默认50.触发下拉刷新拖动距离,
						auto: true, // 可选,默认false.自动下拉刷新一次
						contentdown: "下拉可以刷新", // 可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
						contentover: "释放立即刷新", // 可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
						contentrefresh: "正在刷新...", // 可选，正在刷新状态时，下拉刷新控件上显示的标题内容
						callback: function() {
							var self = this;
							selfArr[index] = self;
							var ul = self.element
								.querySelector('.fd-list');
							createFragment(ul, index, self);
						}
					}
				});
			});

		// append 动态数据

	});
})(mui);

var createFragment = function(ul, index, self) {
	var layerIndex = layer.load(1, {
		shade: [0.1, '#fff']
		// 0.1透明度的白色背景
	});
	$.ajax({
		url: api_path + "/article/list",
		data: {
			pageIndex: document.getElementsByName("pageIndex")[index].value,
			name: document.getElementsByName("name")[index].value,
			type: document.getElementsByName("type")[index].value,
			pageSize: 20
		},
		async: true,
		dataType: "json",
		type: "post",
		success: function(data) {
			layer.close(layerIndex);
			if(data.code == 1) {
				// 加载成功
				var pageData = data.data;
				if(typeof(pageData) == "undefined") {
					// 没有数据;
					return;
				}

				// 加载列表
				var dataList = pageData.results;
				if(typeof(pageData) == "undefined") {
					// 没有数据
					return;
				}
				for(var i = 0; i < dataList.length; i++) {
					
					var html = "<li url=\"detail.html?id=" + dataList[i].cBh +"\">" 
						+ "<span class=\"line1\">" + dataList[i].cMc + "</span>" 
						+"<p class=\"line2\">" +  parseUndefined(dataList[i].cZy)+"</p> " + "</li>";

					ul.appendChild(parseDom(html)[0]);
				}

				if(dataList.length == pageData.pageSize) {
					// 还有数据
					self.endPullUpToRefresh(false);
				} else {
					self.endPullUpToRefresh(true);
				}

				document.getElementsByName("pageIndex")[index].value
				 = pageData.pageNo;
			} else {
				mui.toast("查询异常，请稍后再试");
			}
		},
		error: function(e) {
			mui.toast("网络异常，请稍后再试");
		}
	});
};