//监听列表的点击事件
mui(".fd-list").on('tap', 'li', function() {
	var url = $(this).attr("url");
	mui.openWindow({
		url: url,
		id: "11111",
		styles: {},
		extras: {
			//自定义扩展参数，可以用来处理页面间传值
		},
		waiting: {
			autoShow: true, //自动显示等待框，默认为true
			title: '正在加载...', //等待对话框上显示的提示内容
			options: {}
		}
	})
});

//滑动区域必须保存全局变量方便重置
var selfArr = new Array();

// 人工输入搜索
function selectChange(type) {
	// 1.重置对应模块的页码
	$("#pageIndex" + type).val("");
	// 2.重置对应拉动模块为可以下拉
	selfArr[type].refresh(true);
	// 3.清理掉当前数据
	$("#list" + type).html("");
	// 4.触发下拉事件
	//createFragment(type);
	selfArr[type].pullUpLoading();
}

mui.init();
(function($) {
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});
	$.ready(function() {
		//循环初始化所有下拉刷新，上拉加载。
		$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				up: {
					height: 50, // 可选,默认50.触发下拉刷新拖动距离,
					auto: true, // 可选,默认false.自动下拉刷新一次
					contentdown: "下拉可以刷新", // 可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: "释放立即刷新", // 可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: "正在刷新...", // 可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: function() {
						var self = this;
						var ul = self.element.querySelector('.fd-list');
						var type;
						if(index==0){
							type=8;
						}else if(index==1){
							type=2;
						}else if(index==2){
							type=3;
						}else if(index==3){
							type=5;
						}else if(index==4){
							type=4;
						}
						selfArr[type] = self;
						createFragment(type, self);
					}
				}
			});
		});
	});
})(mui);

// 下拉刷新回调函数
var createFragment = function(type, self) {
	var layerIndex = layer.load(1, {
		shade: [0.1, '#fff']
		// 0.1透明度的白色背景
	});
	// 加载更多的内容到列表中
	$.ajax({
		url: api_path + "/userApi/userList",
		data: {
			pageIndex: $("#pageIndex" + type).val(),
			name: $("#name" + type).val(),
			type: type

		},
		dataType: "json",
		type: "post",
		success: function(data) {
			layer.close(layerIndex);
			if(data.code == 1) {
				// 加载成功
				var pageData = data.data;
				var picUrl = data.picUrl;
				if(typeof(pageData) == "undefined") {
					// 没有数据
					return;
				}

				// 加载列表
				var dataList = pageData.results;
				if(typeof(pageData) == "undefined") {
					// 没有数据
					return;
				}
				var tx;
				for(var i = 0; i < dataList.length; i++) {
					tx = dataList[i].cTx;
					if(parseUndefined(tx) == '') {
						tx = "../../static/app/images/icon23.png";
					} else {
						if(tx.indexOf("http") < 0){
							tx = picUrl + tx;
						}
						
					}
					var html = "<li url='ryxq.html?CBh=" + dataList[i].cBh + "&type=" + type + "' style='font-size:15px;'> <div class='fd-people-icon layer' style='margin-top: 10px;width:100%;'>" +
						"<div class='fd-firm-infor'>" +
						" <div class='fd-firm-infor-div1' style='float: left;'>" +
						" <a href='ryxq.html?CBh=" + dataList[i].cBh + "'" +
						" target='_blank' class='fd-firmdetail'><img  class='fd-firm-img'" +
						"        src='" + tx + "'" +
						"        style='height:120px;width:100px;'></a>" +
						"  </div>" +
						"  <div class='fd-firm-infor-div2'" +
						" style='float: left;margin-left: 15px;width:60%;line-height:26px'>" +
						"      <h4 class='line1' style='color:#282828;margin-top:0px !important;line-height: 20px;'>" + dataList[i].cXm + "</h4>" +
						"  <p ><img src='../../static/app/images/icon21.png' style='height:15px;width:13px;vertical-align: text-bottom;'/>" + parseUndefined(dataList[i].tJg.cJgdh) + "</p>" +
						"  <p ><img src='../../static/app/images/icon35.png' style='height:15px;width:13px;vertical-align: text-bottom'/>" + parseUndefined(dataList[i].tJg.cMc) + "</p>" +
						"<p class='line2'><img src='../../static/app/images/icon22.png' style='height:15px;width:13px;vertical-align: text-bottom'/>" + parseUndefined(dataList[i].tJg.cXxdz) + "</span></p>" +
						"    </div>" +
						"  </div>" +
						"</div></li>";
					$("#list" + type).append(html);
				}

				// 设置页码
				$("#pageIndex" + type).val(pageData.pageNo);

				if(dataList.length == pageData.pageSize) {
					// 还有数据
					self.endPullUpToRefresh(false);
				} else {
					self.endPullUpToRefresh(true);
				}

			} else {
				mui.toast("查询异常，请稍后再试");
			}
		}
	});
	// TODO
	// 如果没有更多数据了，则关闭上拉加载
	// pullRefresh.endPullupToRefresh(true);
	// 如果有更多数据，则继续
	// pullRefresh.endPullupToRefresh(false);
};

function parseUndefined(value) {
	if(typeof(value) == "undefined") {
		return "";
	} else {
		return value;
	}
}